<?php
/**
 * This file is used by the Search Focus Dropdown mod package.
 *
 * This file is include_once()ed by index.template.php to output the actual dropdown to the page.
 * Instead of being in a function and being called like other templates, it's just bare code... call it crude, but it's much simpler for inclusion this way (one line of code!).
 */


loadLanguage('SearchFocus');

$focus_options = '';
$sel = ' selected="selected"';

// In a topic?
if (!empty($context['current_topic']))
{
	$focus_options .= '
						<option value="topic"' . $sel . '>' . $txt['search_focus_topic'] . '</option>';
	$sel = '';
}

// In a board?
if (!empty($context['current_board']))
{
	$focus_options .= '
						<option value="board"' . $sel . '>' . $txt['search_focus_board'] . '</option>';
	$sel = '';
}

// If specific extra boards are to be listed, go ahead and add them
$focus_boards = array();
if (!empty($modSettings['search_focus_boards']))
{
	$focus_boards = unserialize($modSettings['search_focus_boards']);
	foreach ($focus_boards as $brd_id => $brd_name)
	{
		$focus_options .= '
						<option value="' . $brd_id . '">' . $brd_name . '</option>';
	}
}

// Always have "entire forum" option available
$focus_options .= '
						<option value="all"' . $sel . ' style="font-weight: bold;" id="search_focus_all">' . $txt['search_focus_all'] . '</option>';

// Google option enabled?
if (!empty($modSettings['search_focus_enable_google']))
	$focus_options .= '
						<option value="google">' . $txt['search_focus_google'] . '</option>';

// Bing option enabled?
if (!empty($modSettings['search_focus_enable_bing']))
	$focus_options .= '
						<option value="bing">' . $txt['search_focus_bing'] . '</option>';


// Show the search focus dropdown, and include some javascript to add/remove the topic and board(s) based on selected search focus
echo '<select name="search_focus" id="search_focus">' . $focus_options . '
					</select>
					<script type="text/javascript"><!-- // --><![CDATA[
						var curBoard = ', (!empty($context['current_board']) ? $context['current_board'] : 0), ';
						var curTopic = ', (!empty($context['current_topic']) ? $context['current_topic'] : 0), ';
						var focusBoards = new Array(', implode(',', array_keys($focus_boards)), ');
					// ]]></script>
					<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/SearchFocus.js"></script>';

?>